schtask_success_statuses = {
    "0": "The operation completed successfully.",
    "267008": "Task is ready to run at its next scheduled time.",
    "267009": "The task is currently running.",
    "267011": "The task has not yet run.",
    "267012": "There are no more runs scheduled for this task.",
}
schtask_failed_statuses = {
    "267010": "The task has been disabled.",
    "267013": "One or more of the properties that are needed to run this task have not been set.",
    "267014": "The last run of the task was terminated by the user.",
    "267015": "Either the task has no triggers or the existing triggers are disabled or not set.",
    "267016": "Event triggers do not have set run times.",
    "2147549186": "Call was canceled by the message filter",
    "2147750665": "A task's trigger is not found.",
    "2147750666": "One or more of the properties required to run this task have not been set.",
    "2147750667": "There is no running instance of the task.",
    "2147750668": "The Task Scheduler service is not installed on this computer.",
    "2147750669": "The task object could not be opened.",
    "2147750670": "The object is either an invalid task object or is not a task object.",
    "2147750671": "No account information could be found in the Task Scheduler security database for the task indicated.",
    "2147750672": "Unable to establish existence of the account specified.",
    "2147750673": "Corruption was detected in the Task Scheduler security database",
    "2147750674": "Task Scheduler security services are available only on Windows NT.",
    "2147750675": "The task object version is either unsupported or invalid.",
    "2147750676": "The task has been configured with an unsupported combination of account settings and run time options.",
    "2147750677": "The Task Scheduler Service is not running.",
    "2147750678": "The task XML contains an unexpected node.",
    "2147750679": "The task XML contains an element or attribute from an unexpected namespace.",
    "2147750680": "The task XML contains a value which is incorrectly formatted or out of range.",
    "2147750681": "The task XML is missing a required element or attribute.",
    "2147750682": "The task XML is malformed.",
    "2147750683": "The task is registered, but not all specified triggers will start the task.",
    "2147750684": "The task is registered, but may fail to start. Batch logon privilege needs to be enabled for the task principal.",
    "2147750685": "The task XML contains too many nodes of the same type.",
    "2147750686": "The task cannot be started after the trigger end boundary.",
    "2147750687": "An instance of this task is already running.",
    "2147750688": "The task will not run because the user is not logged on.",
    "2147750689": "The task image is corrupt or has been tampered with.",
    "2147750690": "The Task Scheduler service is not available.",
    "2147750691": "The Task Scheduler service is too busy to handle your request. Please try again later.",
    "2147750692": "The Task Scheduler service attempted to run the task, but the task did not run due to one of the constraints in the task definition.",
    "2147750693": "The Task Scheduler service has asked the task to run.",
    "2147750694": "The task is disabled.",
    "2147750695": "The task has properties that are not compatible with earlier versions of Windows.",
    "2147750696": "The task settings do not allow the task to start on demand.",
    "3221225786": "The application terminated as a result of a CTRL+C.",
    "3221225794": "The application failed to initialize properly.",
}